SELECT numero_id,
    horodatage,
    duree,
    sens
FROM     
(  SELECT distinct c.com_id as com_id, p.numero_id AS numero_id, c.horodatage as horodatage, coalesce(c.duree,0) as duree, 
-- switch communication sens based on role, must be consistent with ProfileCommunicationBuilder and ParticipantsWithRelativeDirectionCriteriaBuilder
   CASE WHEN p2.roleACS != 0 THEN (CASE WHEN c.sens = 1 THEN 2 WHEN c.sens = 2 THEN 1 ELSE 0 END) 
        ELSE c.sens END as sens
   FROM <SCHEMA>.communicationparticipant p 
     join <SCHEMA>.communication c on (p.com_id = c.com_id)
     join <SCHEMA>.communicationparticipant p2 on (p2.com_id = c.com_id)
   WHERE p.numero_id is not null
      and p2.compart_id != p.compart_id 
      and p2.numero_id = :numeroId 
      WHERE_FILTER
) zz
ORDER BY numero_id,com_id