select
  relais_id,
  sum(com_occurrence) as com_occurrence,
  sum(list_occurrence) as list_occurrence
  from
  (
    <COM>
    SELECT
      relais_id as relais_id,
      count(distinct(com_id)) as com_occurrence,
      0 as list_occurrence
    FROM
    (
      SELECT
        relaisdebut_id as relais_id,
        p.com_id
      FROM
        <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
      WHERE
        <COM_SCOPE_FILTER> 
        and p.relaisdebut_id is not null
      GROUP BY p.relaisdebut_id, p.com_id

      UNION ALL

      SELECT
        relaisfin_id as relais_id,
        p.com_id
      FROM
        <SCHEMA>.communicationparticipant p <COM_JOIN>join <SCHEMA>.communication c on (p.com_id = c.com_id)</COM_JOIN>
      WHERE
        <COM_SCOPE_FILTER>
        and p.relaisfin_id is not null
      GROUP BY p.relaisfin_id, p.com_id
    ) as com_cells
    WHERE not exists(select 1 from <SCHEMA>.relaisadresse ra where ra.relais_id = com_cells.relais_id)
    GROUP BY com_cells.relais_id
    </COM>

    <UNION1>union all</UNION1>

    <LIST>
    (
      SELECT
        el.relais_id as relais_id,
        0 as com_occurrence,
        count(distinct(el.elementliste_id)) as list_occurrence
      FROM <SCHEMA>.ElementListe as el
      WHERE
        el.relais_id is not null
        and not exists(select 1 from <SCHEMA>.relaisadresse ra where ra.relais_id = el.relais_id)
        and <LIST_SCOPE_FILTER>
      GROUP BY el.relais_id
    )
    </LIST>
  ) as x
GROUP BY relais_id
ORDER BY com_occurrence desc